[listing]
id.column = 'id_custom'
id.type = 'string'

nemovitost_titulek.column = 'slogan_sk'
nemovitost_titulek.type = 'string'

nemovitost_popis_detailni.column = 'text_sk'
nemovitost_popis_detailni.type = 'string'

;**********************
; user_id

id_firma.column = 'advertiser_id'
id_firma.type = 'int'

id_pobobcka.column = 'branch_id'
id_pobobcka.type = 'int'

zakazka_typ.column = 'purpose_id'
zakazka_typ.type = 'string'
zakazka_typ.convert.1 = 'sell'
zakazka_typ.convert.2 = 'rent'

nemovitost_mena.column = 'price_currency_id'
nemovitost_mena.type = 'string'
nemovitost_mena.convert.0 = 'eur' ; Puvodni poznamka: pokud neni nastaveno 8
nemovitost_mena.convert.1 = 'czk'
nemovitost_mena.convert.3 = 'usd'
nemovitost_mena.convert.2 = 'eur'

nemovitost_cena_prodej.column = 'price'
nemovitost_cena_prodej.type = 'float'
nemovitost_cena_prodej.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

nemovitost_cena_pronajem.column = 'price'
nemovitost_cena_pronajem.type = 'float'
nemovitost_cena_pronajem.unset = '@zakazka_typ == 2 ? @null : @_convertedValue'

nemovitost_cena_prodej_jednotka.column = 'price_type_id'
nemovitost_cena_prodej_jednotka.type = 'string'
nemovitost_cena_prodej_jednotka.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'
nemovitost_cena_prodej_jednotka.convert.1 = '302'
nemovitost_cena_prodej_jednotka.convert.2 = '303'

nemovitost_cena_pronajem_jednotka.column = 'price_type_id'
nemovitost_cena_pronajem_jednotka.type = 'string'
nemovitost_cena_pronajem_jednotka.unset = '@zakazka_typ == 2 ? @null : @_convertedValue'
nemovitost_cena_pronajem_jednotka.convert.2 = '304'
nemovitost_cena_pronajem_jednotka.convert.4 = '306'
nemovitost_cena_pronajem_jednotka.convert.5 = '307'
nemovitost_cena_pronajem_jednotka.convert.6 = '305'


nemovitost_cena_prodej_jednotka.column = 'price_type_id'
nemovitost_cena_prodej_jednotka.type = 'string'
nemovitost_cena_prodej_jednotka.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

nemovitost_cena_poznamka.column = 'price_description'
nemovitost_cena_poznamka.type = 'string'

nemovitost_vlastnictvi.column = 'ownership_type_id'
nemovitost_vlastnictvi.type = 'string'
nemovitost_vlastnictvi.convert.1 = 'personal' ; osobni
nemovitost_vlastnictvi.convert.2 = 'company'  ; druzstevni
nemovitost_vlastnictvi.convert.3 = 'company'  ; jiny druh = ostatni
nemovitost_vlastnictvi.convert.4 = 'communal' ; obecni = ostatni
nemovitost_vlastnictvi.convert.5 = 'state'    ; statni = ostatni
nemovitost_vlastnictvi.convert.6 = 'company'  ; u majitele = ostatni
nemovitost_vlastnictvi.convert.6 = 'company'  ; jine = ostatni


nemovitost_kauce.column = 'deposit_amount'
nemovitost_kauce.type = 'float'

deposit_amount.column = 'deposit_type_id'
deposit_amount.type = 'int'
deposit_amount.unset = '"@nemovitost_kauce" > 0 ? @null : @_convertedValue'
deposit_amount.value = '308'

nemovitost_datum_nastehovani.column = 'available_date'
nemovitost_datum_nastehovani.type = 'string'
nemovitost_datum_nastehovani.value = 'date<Y-m-d 00:00:00, @this>'
nemovitost_datum_nastehovani.unset = '1970-01-01 00:00:00'

nabidka_gps_x.column = 'wgs84_x'
nabidka_gps_x.type = 'float'
nabidka_gps_x.value = 'degToFloat<@this>'

nabidka_gps_y.column = 'wgs84_y'
nabidka_gps_y.type = 'float'
nabidka_gps_y.value = 'degToFloat<@this>'

; Pri prevodu podtypu nemovitosti se pouziva codebook.
; Nejdrive zjistime zda typ nemovitosti odpovida podtypu. Pokud ne
; Nebudeme prevadet codebook.
; Aby se nam codebook nesnazil vypocitat driv nez potrebujeme musime nastavit vlastni value.
nemovitost_ucel_budovy.column = 'category_id'
nemovitost_ucel_budovy.type = 'int'
nemovitost_ucel_budovy.unset = '@nemovitost_typ == 2 ? @null : @_convertedValue'
nemovitost_ucel_budovy.convert.1  = 33 ; Komerční objekty Sklad
nemovitost_ucel_budovy.convert.2  = 33 ; Komerční objekty Výroba
nemovitost_ucel_budovy.convert.3  = 32 ; Komerční objekty Obchodní centrum
nemovitost_ucel_budovy.convert.4  = 32 ; Komerční objekty Nákupní středisko
nemovitost_ucel_budovy.convert.5  = 22 ; Komerční objekty Průmyslový areál
nemovitost_ucel_budovy.convert.6  = 45 ; Komerční objekty Jiný
nemovitost_ucel_budovy.convert.7  = 29 ; Komerční objekty Administrativní budova

nemovitost_druh_pozemku.column = 'category_id'
nemovitost_druh_pozemku.type = 'int'
nemovitost_druh_pozemku.unset = '@nemovitost_typ == 3 ? @null : @_convertedValue'
nemovitost_druh_pozemku.convert.1  = 13 ; Pozemky Pro komerční výstavbu
nemovitost_druh_pozemku.convert.2  = 12 ; Pozemky Pro bydlení
nemovitost_druh_pozemku.convert.3  = 24 ; Pozemky Zemědělská
nemovitost_druh_pozemku.convert.4  = 25 ; Pozemky Les
nemovitost_druh_pozemku.convert.5  = 25 ; Pozemky Trvalý travní porost
nemovitost_druh_pozemku.convert.6  = 23 ; Pozemky Zahrada
nemovitost_druh_pozemku.convert.7  = 23 ; Pozemky Ostatní

nemovitost_dispozice.column = 'category_id'
nemovitost_dispozice.type = 'int'
nemovitost_dispozice.unset = '@nemovitost_typ == 4 ? @null : @_convertedValue'
nemovitost_dispozice.convert.1  = 4  ; Garzónka
nemovitost_dispozice.convert.9  = 4  ; 1-izb.
nemovitost_dispozice.convert.10 = 14 ; 2-izb.
nemovitost_dispozice.convert.11 = 15 ; 3
nemovitost_dispozice.convert.12 = 16 ; 4
nemovitost_dispozice.convert.13 = 17 ; 5+
nemovitost_dispozice.convert.17 = 17  ; Byty Jiný

nemovitost_podtyp.column = 'category_id'
nemovitost_podtyp.type = 'int'
nemovitost_podtyp.unset = 'inList<@nemovitost_typ, 5, 8> ? @null : @_convertedValue' ; ciselnik prevadi typ nemovitosti 5
nemovitost_podtyp.value  = 38 ; Historické objekty

nemovitost_poloha_objektu.column = 'category_id'
nemovitost_poloha_objektu.type = 'int'
nemovitost_poloha_objektu.unset = '@nemovitost_typ == 6 ? @null : @_convertedValue'
nemovitost_poloha_objektu.convert.1  = 7  ; Domy a vily Řadový
nemovitost_poloha_objektu.convert.2  = 3  ; Domy a vily Rohový
nemovitost_poloha_objektu.convert.3  = 3  ; Domy a vily V bloku
nemovitost_poloha_objektu.convert.4  = 6  ; Domy a vily Samostatný

nemovitost_typ_zarizeni.column = 'category_id'
nemovitost_typ_zarizeni.type = 'int'
nemovitost_typ_zarizeni.unset = '@nemovitost_typ == 7 ? @null : @_convertedValue'
nemovitost_typ_zarizeni.value = 29 ; Hotely, penziony a restaurace

nemovitost_druh_prostor.column = 'category_id'
nemovitost_druh_prostor.type = 'int'
nemovitost_druh_prostor.unset = '@nemovitost_typ == 9 ? @null : @_convertedValue'
nemovitost_druh_prostor.convert.1  = 29 ; Komerční prostory Kanceláře
nemovitost_druh_prostor.convert.2  = 32 ; Komerční prostory Obchodní
nemovitost_druh_prostor.convert.3  = 33 ; Komerční prostory Skladovací
nemovitost_druh_prostor.convert.4  = 33 ; Komerční prostory Jiné
nemovitost_druh_prostor.convert.5  = 33 ; Komerční prostory Výrobní

nemovitost_druh_prostor.column = 'category_id'
nemovitost_druh_prostor.type = 'int'
nemovitost_druh_prostor.unset = '@nemovitost_typ == 9 ? @null : @_convertedValue'
nemovitost_druh_prostor.convert.1  = 29 ; Komerční prostory Kanceláře
nemovitost_druh_prostor.convert.2  = 32 ; Komerční prostory Obchodní
nemovitost_druh_prostor.convert.3  = 33 ; Komerční prostory Skladovací
nemovitost_druh_prostor.convert.4  = 33 ; Komerční prostory Jiné
nemovitost_druh_prostor.convert.5  = 33 ; Komerční prostory Výrobní

nemovitost_typ_zemedelske.column = 'category_id'
nemovitost_typ_zemedelske.type = 'int'
nemovitost_typ_zemedelske.unset = '@nemovitost_typ == 1 ? @null : @_convertedValue'
nemovitost_typ_zemedelske.value = 34 ; zemědělské objekty

nemovitost_typ_chaty.column = 'category_id'
nemovitost_typ_chaty.type = 'int'
nemovitost_typ_chaty.unset = '@nemovitost_typ == 10 ? @null : @_convertedValue'
nemovitost_typ_chaty.value = 10 ; Chaty a rekreační objekty

nemovitost_typ_najemni_domy.column = 'category_id'
nemovitost_typ_najemni_domy.type = 'int'
nemovitost_typ_najemni_domy.unset = '@nemovitost_typ == 8 ? @null : @_convertedValue'
nemovitost_typ_najemni_domy.value = 40 ; Nájemní domy

nemovitost_typ_male_objekty.column = 'category_id'
nemovitost_typ_male_objekty.type = 'int'
nemovitost_typ_male_objekty.unset = '@nemovitost_typ == 11 ? @null : @_convertedValue'
nemovitost_typ_male_objekty.value = 35 ; Malé objekty, garáže

nemovitost_uir_obec_kod.column = 'locality_id'
nemovitost_uir_obec_kod.type = 'int'

nemovitost_uir_ulice_text.column = 'street'
nemovitost_uir_ulice_text.type = 'string'

nemovitost_bytu_celkem.column = 'childs_count'
nemovitost_bytu_celkem.type = 'int'

nemovitost_rok_kolaudace.column = 'colaudation_year'
nemovitost_rok_kolaudace.type = 'int'

nemovitost_podlazi_cislo.column = 'floor_number'
nemovitost_podlazi_cislo.type = 'int'

nemovitost_pocet_podlazi.column = 'floor_fromall'
nemovitost_pocet_podlazi.type = 'int'

; Tohle jsem okopcil z Danovych exportu.
floors_count.column = 'floors_count'
floors_count.type = 'int'
floors_count.value = '@nemovitost_pocet_podlazi'

nemovitost_rok_vystavby.column = 'build_year'
nemovitost_rok_vystavby.type = 'int'

nemovitost_rok_rekonstrukce.column = 'reconstruction_year'
nemovitost_rok_rekonstrukce.type = 'int'

nemovitost_bytu_celkem.column = 'flats_count'
nemovitost_bytu_celkem.type = 'int'

area_habitable.column = 'area_habitable'
area_habitable.type = 'float'
area_habitable.unset = 'inList<@nemovitost_typ, 4, 6, 10> ? @null : @_convertedValue'
area_habitable.value = '@nemovitost_plocha_uzitna'

area_household_flat.column = 'area_household'
area_household_flat.type = 'float'
area_household_flat.unset.0 = 'inList<@nemovitost_typ, 2, 4> ? @null : @_convertedValue'
area_household_flat.value = '@nemovitost_plocha_celkova'

area_household_farm_and_cottage.column = 'area_household'
area_household_farm_and_cottage.type = 'float'
area_household_farm_and_cottage.unset = 'inList<@nemovitost_typ, 1, 10> ? @null : @_convertedValue'
area_household_farm_and_cottage.value = '@nemovitost_plocha_uzitna'

nemovitost_balkon_plocha.column = 'balcony_area'
nemovitost_balkon_plocha.type = 'float'

nemovitost_lodzie_plocha.column = 'loggia_area'
nemovitost_lodzie_plocha.type = 'float'

nemovitost_terasa_plocha.column = 'terrace_area'
nemovitost_terasa_plocha.type = 'float'

nemovitost_sklep_plocha.column = 'cellar_area'
nemovitost_sklep_plocha.type = 'float'

nemovitost_plocha_parcely.column = 'land_area'
nemovitost_plocha_parcely.type = 'float'

pocet_mist_k_parkovani.column = 'parking_places_count'
pocet_mist_k_parkovani.type = 'int'

nemovitost_plocha_skladu.column = 'stock_area'
nemovitost_plocha_skladu.type = 'float'

nemovitost_plocha_zastavena.column = 'area_covered'
nemovitost_plocha_zastavena.type = 'float'

nemovitost_pocet_luzek.column = 'beds_inhotel'
nemovitost_pocet_luzek.type = 'int'

nemovitost_uir_cp.column = 'property_registration_number'
nemovitost_uir_cp.type = 'string'

nemovitost_uir_co.column = 'property_informative_number'
nemovitost_uir_co.type = 'string'

nemovitost_stav_objektu.column = 'build_status_id'
nemovitost_stav_objektu.type = 'int'
nemovitost_stav_objektu.convert.1 = 3
nemovitost_stav_objektu.convert.2 = 3
nemovitost_stav_objektu.convert.3 = 3
nemovitost_stav_objektu.convert.4 = 6
nemovitost_stav_objektu.convert.5 = 6
nemovitost_stav_objektu.convert.6 = 6
nemovitost_stav_objektu.convert.7 = 3
nemovitost_stav_objektu.convert.8 = 3
nemovitost_stav_objektu.convert.9 = 5
nemovitost_stav_objektu.convert.10 = 3

nemovitost_druh_objektu.column = 'build_material_id'
nemovitost_druh_objektu.type = 'string'

nemovitost_topeni.column = 'heating_id'
nemovitost_topeni.type = 'int'
nemovitost_topeni.convert.0 = 29
nemovitost_topeni.convert.1 = 29
nemovitost_topeni.convert.2 = 29
nemovitost_topeni.convert.3 = 28
nemovitost_topeni.convert.4 = 28
nemovitost_topeni.convert.5 = 28
nemovitost_topeni.convert.6 = 28
nemovitost_topeni.convert.7 = 30 ; sere pes

nemovitost_vybaveno.column = 'furnished'
nemovitost_vybaveno.type = 'string'
nemovitost_vybaveno.unset = '@this ? @null : @_convertedValue'
nemovitost_vybaveno.value = '32'

;nemovitost_ostatni_rozvody.column = 'tv_connection_id'
;nemovitost_ostatni_rozvody.type = 'int'
;nemovitost_ostatni_rozvody.unset = 'substr<@this, 1, 1> ? @null : @_convertedValue'
;nemovitost_ostatni_rozvody.value = 'substr<@this, 1, 1> ? 35 : 0'

;nemovitost_ostatni_rozvody_satelit.column = 'tv_connection_id'
;nemovitost_ostatni_rozvody_satelit.type = 'int'
;nemovitost_ostatni_rozvody_satelit.unset = 'substr<@nemovitost_ostatni_rozvody, 0, 1> ? @null : @_convertedValue'
;nemovitost_ostatni_rozvody_satelit.value = 'substr<@nemovitost_ostatni_rozvody, 0, 1> ? 36 : 0'


nemovitost_balkon.column = 'balcony'
nemovitost_balkon.type = 'int'
nemovitost_balkon.unset = '@this == -1 ? @_convertedValue : 0'

nemovitost_lodzie.column = 'loggia'
nemovitost_lodzie.type = 'int'
nemovitost_lodzie.unset = '@this == -1 ? @_convertedValue : 0'

nemovitost_terasa.column = 'terrace'
nemovitost_terasa.type = 'int'
nemovitost_terasa.unset = '@this == -1 ? @_convertedValue : 0'

;nemovitost_elektrina.column = 'electricity'
;nemovitost_elektrina.type = 'int'
;nemovitost_elektrina.unset = '"@this" ? @null : @_convertedValue'
;nemovitost_elektrina.value = '"@this" ? 1 : 0'
;
;nemovitost_voda.column = 'water'
;nemovitost_voda.type = 'int'
;nemovitost_voda.unset = '"@this" ? @null : @_convertedValue'
;nemovitost_voda.value = '"@this" ? 1 : 0'

;nemovitost_plyn.column = 'gas'
;nemovitost_plyn.type = 'int'
;nemovitost_plyn.convert.0 = '0'
;nemovitost_plyn.convert.1 = '1'
;
;nemovitost_odpad.column = 'cov'
;nemovitost_odpad.type = 'int'
;nemovitost_odpad.convert.00 = '0'
;nemovitost_odpad.convert.01 = '1'


;nemovitost_telekomunikace.column = 'phone_connection'
;nemovitost_telekomunikace.type = 'int'
;nemovitost_telekomunikace.convert.00 = '0'
;nemovitost_telekomunikace.convert.01 = '1'

nemovitost_garaz.column = 'garage'
nemovitost_garaz.type = 'int'
nemovitost_garaz.unset = '"@this" == -1 ? @_convertedValue : 0'

nemovitost_parkovaci_stani.column = 'parking_place'
nemovitost_parkovaci_stani.type = 'int'
nemovitost_parkovaci_stani.unset = '"@this" == -1 ? @_convertedValue : 0'

;nemovitost_ostatni_vytah.column = 'lift'
;nemovitost_ostatni_vytah.type = 'int'
;nemovitost_ostatni_vytah.unset = 'substr<"@this", 4, 1> ? @null : @_convertedValue'
;nemovitost_ostatni_vytah.value = '1'

;nemovitost_ostatni_plot.column = 'land_isfenced'
;nemovitost_ostatni_plot.type = 'int'
;nemovitost_ostatni_plot.unset = 'substr<"@this", 0, 1> ? @null : @_convertedValue'
;nemovitost_ostatni_plot.value = '1'

;nemovitost_ostatni_bezb.column = 'accessibility'
;nemovitost_ostatni_bezb.type = 'int'
;nemovitost_ostatni_bezb.unset = 'substr<"@this", 1, 1> ? @null : @_convertedValue'
;nemovitost_ostatni_bezb.value = '1'

nemovitost_obcanska_vybavenost.column = 'social_properties'
nemovitost_obcanska_vybavenost.type = 'array'
nemovitost_obcanska_vybavenost.convert.0 = 4
nemovitost_obcanska_vybavenost.convert.1 = 3
nemovitost_obcanska_vybavenost.convert.2 = 6
nemovitost_obcanska_vybavenost.convert.3 = 8
nemovitost_obcanska_vybavenost.convert.4 = 0
nemovitost_obcanska_vybavenost.convert.5 = 0

; area_sortable ... vypocitat plochu /irest/helper

nemovitost_energeticky_stitek.column = 'energetic_cert'
nemovitost_energeticky_stitek.type = 'int'
nemovitost_energeticky_stitek.convert.1 = 'a'
nemovitost_energeticky_stitek.convert.2 = 'b'
nemovitost_energeticky_stitek.convert.3 = 'c'
nemovitost_energeticky_stitek.convert.4 = 'd'
nemovitost_energeticky_stitek.convert.5 = 'e'
nemovitost_energeticky_stitek.convert.6 = 'f'
nemovitost_energeticky_stitek.convert.7 = 'g'
; následují A0 a A1
nemovitost_energeticky_stitek.convert.20 = 'a'
nemovitost_energeticky_stitek.convert.21 = 'a'
nemovitost_energeticky_stitek.unset = '"@this" ? @null : @_convertedValue'